/* PreparedResults styles
//
// @author Sonja Happ <sonja.happ@eonerc.rwth-aachen.de>, Jonas Otten
// @copyright 2019, Institute for Automation of Complex Power Systems, EONERC
// @license GNU General Public License (version 3)
//
// DistAIX Web
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
///////////////////////////////////////////////////////////////////////////////*/

#preparedResultsColumns{
    display: flex;
    flex-grow: 1;
    flex-shrink: 0;
    justify-content: space-around;
}

.columnrow{
    margin: 3px;
    cursor: pointer;
    background-color: teal;
    color: white;
    border-radius: 3px;
    padding: 5px;
    text-align: center;
    flex-grow: 1;
}

.selectorColumn{
    margin: 10px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.selectorColumnHeader{
    padding-bottom: 10px;
    font-size: 15px;
}

.LoadDataButton{
    background-color: cornflowerblue;
    cursor: pointer;
    color: white;
    padding: 5px;
    margin: 3px;
    text-align: center;
    text-decoration: underline;
    border-radius: 5px;
}

.selectorColumnElements{
    overflow: auto;
}

#DownloadCSVButton{
    background-color: cornflowerblue;
    cursor: pointer;
    color: white;
    padding: 10px;
    padding-left: 20px;
    padding-right: 20px;
    margin: 3px;
    text-align: center;
    text-decoration: underline;
    border-radius: 5px;
}

.Times{
    display: flex;
    padding: 10px;
    justify-content: space-around;
}

.TimesInput{
    padding: 5px;
}

/* #preparedResultsWrapper{
//     padding: 10px;
//     display: flex;
//     flex-direction: column;
//     flex-grow: 1;
// }*/

/* .preparedResultsHeader{
//     text-decoration: underline;
//     padding-bottom: 10px;
//     text-align: center;
// }*/

/* .preparedResultChildrenDownload{
//     background: cornflowerblue;
//     margin: 10px;
//     padding: 10px;
//     border-radius: 5px;
//     cursor: pointer;
// }*/
/* .preparedResultInput{
//     display: flex;
//     justify-content: space-between;
// }*/

/* .preparedResultInputName{
//     padding: 3px;
// }*/

/* .componentBoxWrapper{
//     display: flex;
//     justify-content: space-around;
//     padding: 10px;
//     background: crimson;
//     color: white;
//     border-radius: 5px;
//     margin:5px;
// }*/

/* .componentBoxDetails{
//     display: flex;
//     justify-content: space-around;
//     padding: 10px;
//     background: crimson;
//     color: white;
//     border-radius: 5px;
//     margin:5px;
//     flex-direction: column;
// }*/

/* .componentBoxDetailsButton{
//     background: cornflowerblue;
//     margin: 10px;
//     padding: 10px;
//     border-radius: 5px;
//     cursor: pointer;
// }*/

/* .componentBoxDetailsName{
//     display: flex;
// }*/

/* .componentBox{
//     display: flex;
//     flex-direction: column;
// }*/

/* .preparedResultChildren{
//     display: flex;
// }*/